{% extends 'base.html' %}

{% block pagetitle %}Checkout{% endblock %}

{% block main %}

    <div id="main">
        <div class="inner">
            <div class="row">
                <div class="col-lg-6">
                    <div class="box-element" id="form-wrapper">
                        <form id="form">
                            <div id="user-info">
                                <div class="form-field">
                                    <input required class="form-control" type="text" name="name" placeholder="Name..">
                                </div>
                                <div class="form-field">
                                    <input required class="form-control" type="email" name="email"
                                           placeholder="Email..">
                                </div>
                            </div>

                            <div id="shipping-info">
                                <hr>
                                <p>Shipping Information:</p>
                                <hr>
                                <div class="form-field">
                                    <input class="form-control" type="text" name="address" placeholder="Address..">
                                </div>
                                <div class="form-field">
                                    <input class="form-control" type="text" name="city" placeholder="City..">
                                </div>
                                <div class="form-field">
                                    <input class="form-control" type="text" name="state" placeholder="State..">
                                </div>
                                <div class="form-field">
                                    <input class="form-control" type="text" name="zipcode" placeholder="Zip code..">
                                </div>
                                <div class="form-field">
                                    <input class="form-control" type="text" name="country" placeholder="Zip code..">
                                </div>
                            </div>

                            <hr>
                            <input id="form-button" class="btn btn-success btn-block" type="submit" value="Continue">
                        </form>
                    </div>

                    <br>
                    <div class="box-element hidden" id="payment-info">
                        <small>Payment Options</small>
                        <button id="make-payment">Make Payment</button>
                    </div>

                </div>

                <div class="col-lg-6">
                    <div class="box-element">
                        <a class="btn btn-outline-dark" href="{% url 'orders:cart' %}">&#x2190; Back to Cart</a>
                        <hr>
                        <h3>Order Summary</h3>
                        <hr>
                        {% for item in items %}
                            <div class="cart-row">
                                <div style="flex:2"><img class="row-image" src="{{ item.product.product_imageURL }}">
                                </div>
                                <div style="flex:2"><p>{{ item.product.title }}</p></div>
                                <div style="flex:1"><p>{{ item.product.price }}</p></div>
                                <div style="flex:1"><p>{{ item.quantity }}</p></div>
                            </div>
                        {% endfor %}

                        <h5>Items: {{ order.get_cart_items }}</h5>
                        <h5>Total: {{ order.get_cart_total }} RON</h5>
                    </div>
                </div>
            </div>


        </div>
    </div>
    <script type="text/javascript">
        var shipping = '{{ order.shipping }}'
        var total = '{{ order.get_cart_total }}'

        if (shipping === 'False') {
            document.getElementById('shipping-info').innerHTML = ''
        }

        if (user !== 'AnonymousUser'){
            document.getElementById('user-info').innerHTML = ''
        }

        if (shipping === 'False' && user !== 'AnonymousUser'){
            document.getElementById('form-wrapper').classList.add('hidden');
            document.getElementById('payment-info').classList.remove('hidden');
        }

        var form = document.getElementById('form')

        form.addEventListener('submit', function (e){
            e.preventDefault()
            console.log('Form submitted...')
            document.getElementById('form-button').classList.add('hidden')
            document.getElementById('payment-info').classList.remove('hidden')
        })

        document.getElementById('make-payment').addEventListener('click', function (e){
            submitFormData()
        })

        function submitFormData(){
            console.log('Clicked')

            var userFormData = {
                'name': null,
                'email': null,
                'total': total,
            }

            var shippingInfo = {
                'address': null,
                'city': null,
                'state': null,
                'zipcode': null,
            }

            if(shipping !== 'False'){
                shippingInfo.address = form.address.value
                shippingInfo.city = form.city.value
                shippingInfo.state = form.state.value
                shippingInfo.zipcode = form.zipcode.value

            }

            if(user === 'AnonymousUser'){
                shippingInfo.name = form.name.value
                shippingInfo.email = form.email.value

            }
        }
    </script>

{% endblock %}

{% block footer %}
    <footer id="footer">
        <div class="inner">

            <section>
                <ul class="icons">
                    <li>
                        <a href="https://twitter.com/" target="_blank"
                           class="icon style2 fa-twitter"><span class="label">Twitter</span></a>
                    </li>
                    <li>
                        <a href="https://www.facebook.com/" target="_blank"
                           class="icon style2 fa-facebook"><span class="label">Facebook</span></a>
                    </li>
                    <li>
                        <a href="https://www.instagram.com/" target="_blank"
                           class="icon style2 fa-instagram"><span class="label">Instagram</span></a>
                    </li>
                    <li>
                        <a href="https://www.linkedin.com/" target="_blank"
                           class="icon style2 fa-linkedin"><span class="label">LinkedIn</span></a>
                    </li>
                </ul>
                &nbsp;
            </section>

            <ul class="copyright">
                <li>Copyright © 2020 Company Name</li>
                <li>Template by: <a href="https://www.phpjabbers.com/">PHPJabbers.com</a></li>
            </ul>
        </div>
    </footer>

{% endblock %}